@extends('layouts.master')

@section('navigation')
    @include('local.managers.admins._new_navigation')
@stop
@section('main')

    <div class="row">
        <div class="col-md-6">
            <div class="panel panel-default panel-button">
                <div class="panel-heading">
                    Create a Course
                </div>
                <div class="panel-body">

                    {{ Form::open(['action' => 'CoursesController@create','enctype'=>"multipart/form-data"]) }}
                    <div class="form-group">
                        {{ Form::label("name",'Name')}}
                        {{ Form::text('name', Input::old('name'), ['class'=>'form-control', 'placeholder' => "Introducción a la ..."])}}
                    </div>
                    <div class="form-group">
                        {{ Form::label('code', 'Code') }}
                        {{ Form::text('code', Input::old('code'), ['class' => 'form-control', 'placeholder' => 'TEST', 'maxLength' => 4]) }}
                    </div>

                    <div class="form-group">
                        {{ Form::label('number', 'Number') }}
                        {{ Form::text('number', Input::old('number'), ['class' => 'form-control', 'placeholder' => '3001', 'maxLength' => 4]) }}
                    </div>

                    <div class="form-group">
                        {{ Form::label('section', 'Section') }}
                        {{ Form::text('section', Input::old('section'), ['class' => 'form-control', 'placeholder' => '001', 'maxLength' => 3]) }}
                    </div>

                    <!-- Program -->
                    <div class="form-group">
                        {{ Form::label('program', 'Program') }}
                        <select id="program" name="program" class="form-control selectpicker">
                            
                            @foreach ($programs as $program)
                                @if (Input::old('program') != $program->id)
                                    <option value="{{ $program->id }}">{{ $program->name }}
                                        ({{ $program->school->name }})</option>
                                @else
                                    <option selected value="{{ $program->id }}">{{ $program->name }}
                                        ({{ $program->school->name }})</option>
                                @endif
                            @endforeach
                        </select>
                    </div>

                    <div class="form-group">
                        {{ Form::label('user_id', 'Professor') }}
                        <select id="professor_id" name="professor_id" class="form-control selectpicker">
                             @foreach ($professors as $professor)
                                 @if (Input::old('professor_id') != $professor->id )
                                    <option value="{{$professor->id}}">{{ $professor->surnames }}, {{$professor->first_name}}
                                        {{-- $professor->program->name --}}</option>
                                @else
                                    <option selected value="{{ $professor->id }}">{{ $professor->name }}
                                        {{-- $professor->program->name --}}</option>
                               

                                    
                                @endif
                            @endforeach
                        </select>
                    </div>

                    <div class ="form-group">
                        {{ Form::label("semester_id",'Semester')}}

                        <select id ="semester_id" name="semester_id" class="form-control selectpicker">
                            @foreach ($semesters as $semester)
                                @if (Input::old('semester_prof') != $semester->id)
                                    <option value="{{ $semester->id }}">{{ $semester->name }}</option>
                                @else
                                    <option selected value="{{ $semester->id }}">{{ $semester->name }}</option>
                                @endif
                            @endforeach
                        </select>
                    </div>

                    <div class ="form-group">
                        <label for="file">Choose student text file</label>
                        <input type="file"
                        id="students" class="form-control" name="students"
                        accept=".txt">
                    </div>

                    <br>

                    {{ Form::submit('Create Course', ['class' => 'btn btn-primary btn-block', 'name' => 'create_course']) }}
                    {{ Form::close() }}

                    <br>

                    @if (Session::has('courses'))
                        <p><strong>The following courses were updated:</strong></p>
                        <ul>
                            @foreach (json_decode(Session::get('courses')) as $course)
                                <li>

                                    @if (Session::has('show_sections'))
                                        {{ $course->code }}{{ $course->number }}-{{ $course->section }}
                                    @else
                                        {{ $course->code }}{{ $course->number }}
                                    @endif
                                </li>
                            @endforeach
                        </ul>
                    @endif
                </div>
            </div>
        </div>

        <div class="col-md-6">
            <div class="panel panel-default panel-button">
                <div class="panel-heading">
                    Reassign Sections' Professors
                </div>
                <div class="panel-body">

                    <p>Use this to reassign a section to a specific professor. Write down the code, number and section of
                        the course. Then, choose a professor from the list. <strong>All fields are required.</strong></p>

                    {{ Form::open(['action' => 'CoursesController@update']) }}

                    <div class="form-group">
                        {{ Form::label('code_prof', 'Code') }}
                        {{ Form::text('code_prof', Input::old('code_prof'), ['class' => 'form-control', 'placeholder' => 'TEST', 'maxLength' => 4]) }}
                    </div>

                    <div class="form-group">
                        {{ Form::label('number_prof', 'Number') }}
                        {{ Form::text('number_prof', Input::old('number_prof'), ['class' => 'form-control', 'placeholder' => '3001', 'maxLength' => 4]) }}
                    </div>

                    <div class="form-group">
                        {{ Form::label('section_prof', 'Section') }}
                        {{ Form::text('section_prof', Input::old('section_prof'), ['class' => 'form-control', 'placeholder' => '001', 'maxLength' => 3]) }}
                    </div>

                    <!-- Program -->
                    {{--
                    <div class="form-group">
                        {{ Form::label('user_prof', 'User') }}
                        <select id="user_prof" name="user_prof" class="form-control">
                            @foreach ($users as $user)
                                @if (Input::old('user_prof') != $user->id)
                                    <option value="{{ $user->id }}">{{ $user->surnames }},
                                        {{ $user->first_name }}</option>
                                @else
                                    <option selected value="{{ $user->id }}">{{ $user->surnames }},
                                        {{ $user->first_name }}</option>
                                @endif
                            @endforeach
                        </select>
                    </div>
                    --}}

                    <!-- Semester -->
                    <div class="form-group">
                        {{ Form::label('semester_prof', 'Semester') }}
                        <select id="semester_prof" name="semester_prof" class="form-control selectpicker">
                            @foreach ($semesters as $semester)
                                @if (Input::old('semester_prof') != $semester->id)
                                    <option value="{{ $semester->id }}">{{ $semester->name }}</option>
                                @else
                                    <option selected value="{{ $semester->id }}">{{ $semester->name }}</option>
                                @endif
                            @endforeach
                        </select>
                    </div>

                    <br>

                    {{ Form::submit('Create Course', ['class' => 'btn btn-primary btn-block', 'name' => 'create_professor']) }}
                    {{ Form::close() }}

                </div>
            </div>
        </div>
    </div>
@stop

@section('javascript')

    // --------------------------------------------------------------------------
    // Page load
    // --------------------------------------------------------------------------


    // --------------------------------------------------------------------------
    // Functions
    // --------------------------------------------------------------------------



    // --------------------------------------------------------------------------
    // Events
    // --------------------------------------------------------------------------

@stop
